View Issue Details

IDProjectCategoryView StatusLast Update
0019374MediaMonkey 5Now Playingpublic2022-10-10 14:40
ReporterLudek Assigned To 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0.4 
Target Version5.0.4Fixed in Version5.0.4 
Summary0019374: Performance regression in 5.0.4.2662 when selecting track in Playing panel
DescriptionWhile implementing 0019285 I have found performance regression.

Select a track in the Playing panel
=> flushSettings, saving Playing list to m3u8, calling nowPlayingModified etc.
is all called on every track selection in Playing list -- even when the Playing list hasn't been actually changed at all!!

The issue does not exists in 5.0.4.2660
The issues exists in 5.0.4.2661 and higher
TagsNo tags attached.
Fixed in build2663

Relationships

related to 0019287 closedmichal PlaylistEntries removal methods doesn't update the player info 
related to 0019441 closedmichal File Monitor sometimes freezes (and MM then crashes after initiating playback) 

Activities

Ludek

2022-09-13 21:42

developer   ~0069247

I went through the SVN history and the culprit is SVN revision 40000 (fixing of issue 0019287 )

Reverting the revision stops the issue from appearing.

michal

2022-09-14 15:13

developer   ~0069264

Fixed in build 2663.

lowlander

2022-09-16 19:24

developer   ~0069330

Verified on 2663, mediamonkey.m3u8 remains unmodified on file selection in the Playing window and node.